Bug 77266 - Installer crashes when trying to partitioning LVM drives using kickstart file
Installer crashes when trying to partitioning LVM drives using kickstart file
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-11-04 10:47 EST by Danilo Aghemo
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-27 12:08:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
one of the many kickstart files i used to reproduce the problem (2.53 KB, text/plain)
2002-11-25 03:38 EST, Danilo Aghemo
no flags Details

  None (edit)
Description Danilo Aghemo 2002-11-04 10:47:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
When you try to perform a system installation using a previously automatically 
generated kickstart file, partitioning of LVM volume fails and you get a system 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install a Red Hat Linux 8.0 as you like, using LVM volumes.
2. Save the original anaconda kickstart file. Uncomment the partition creation 
line and place a clearpart --all or even a zerombr entry.
3. Try to reinstall the system via the modified kickstart file.

Actual Results:  The installer crashes. Some lines are output to video.

Expected Results:  Perform the kickstart installation with no problem.

Additional info:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 786, in handleRenderCallback
  File "/usr/lib/anaconda/iw/progress_gui.py", line 149, in renderCallback
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 435, in turnOnFilesystems
  File "/usr/lib/anaconda/fsset.py", line 1105, in createLogicalVolumes
  File "/usr/lib/anaconda/fsset.py", line 1624, in setupDevice
    raise SystemError, "vgcreate failed for %s" %(self.name,)
SystemError: vgcreate failed for Volume02
Comment 1 Michael Fulbright 2002-11-04 16:22:31 EST
You are starting from the anaconda-ks.cfg that the installer creates?
Comment 2 Danilo Aghemo 2002-11-04 16:36:37 EST
I took the original anaconda-ks.cfg, uncommented the #part line, the modifified 
the clearpart into a clearpart --all --initlabel and added a zerombr yes.
Moreover, today, i made a try with no LVM support, just plain partition, using -
-start, --end and --ondisk... their values has been taken by a previous manual 
installation. The installation failed saying theat it cannot use cylinder 
parameters. If you need I can post the incriminated kickstart file.
Comment 3 Michael Fulbright 2002-11-05 15:41:29 EST
Yes the ks file would be very helpful.
Comment 4 Danilo Aghemo 2002-11-25 03:38:36 EST
Created attachment 86269 [details]
one of the many kickstart files i used to reproduce the problem
Comment 5 Michael Fulbright 2003-01-02 21:17:23 EST
Thank you for the information we will try to investigate.
Comment 6 Michael Fulbright 2003-01-30 18:02:32 EST
If you try to give more 'buffer' on the logical volumes between the requested
size and the size of the volume group does it help?

For example, make the size requests 14000 instead of 14696.

Then add a '--grow' so they will fill up the remaining space.
Comment 7 Danilo Aghemo 2003-01-31 03:49:57 EST
Yes, i tried even with 14000 instead of 14696. I've not tried 14000 with '--
grow', but I don't think that this would be a problem...
Comment 8 Michael Fulbright 2003-02-03 15:56:31 EST
If you remove the '--primary' from one (or more) of the partition requests does
that help?

I was able to use your ks file w/o problems.
Comment 9 Michael Fulbright 2003-02-27 12:08:31 EST
Closing due to inactivity - please reopen if you have additional information to
add to this report.
Comment 10 Denis COURTIER 2004-04-01 09:56:48 EST

I've the same pb: kickstart crashed with the message:
       SystemError: vgcreate failed for vg01
If I reboot and re-install with kickstart, it works. And again: if I 
re-install with kickstart, it will failed again, even if I remove the 
partitions on both disks.

Please notice that my partitions are created exactly as expected, 
(and in the good order since I've removed "asprimary" on lvm 

This is a part of my ks.cfg:

bootloader --location=mbr
clearpart --all --initlabel  --drives hda,hdb 
zerombr yes

#Disk partitioning information
# Disk1
part /boot --fstype ext3 --ondisk hda --size 75  --asprimary
part swap  --fstype swap --ondisk hda --size 512 --asprimary
part /     --fstype ext3 --ondisk hda --size 256 --asprimary
part pv.01 --ondisk hda --size 3600  --grow 
volgroup vg00 pv.01
logvol /var --fstype ext3 --name=var --vgname=vg00 --size 384
logvol /opt --fstype ext3 --name=opt --vgname=vg00 --size 512
logvol /usr --fstype ext3 --name=usr --vgname=vg00 --size 2048
logvol /home --fstype ext3 --name=home --vgname=vg00 --size 256
# Disk2
part /boot2 --fstype ext3 --ondisk hdb --size 75 --asprimary
part pv.02 --ondisk hdb --size 1000 --grow
volgroup vg01 pv.02
logvol /devicesI  --fstype ext3 --name=devicesI --vgname=vg01 --size 

Thank you for your help.

Note You need to log in before you can comment on or make changes to this bug.